snd_device_register
Prev | Chapter 22. Sound Devices | Next

## Name

snd_device_register — register the device

## Synopsis

`int snd_device_register (` | struct snd_card * | card,
| void * | device_data`)`;

## Arguments

`card`

  the card instance

`device_data`

  the data pointer to register

## Description

Registers the device which was already created via `snd_device_new`. Usually this is called from `snd_card_register`, but it can be called later if any new devices are created after invocation of `snd_card_register`.

Returns zero if successful, or a negative error code on failure or if the device not found.

Prev | Up | Next
snd_device_free | Home | snd_iprintf